## fcitx 4.2.9.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6)

project(fcitx)

set(version 4.2.9.5)

set(CMAKE_C_STANDARD 99)
set(CMAKE_C_STANDARD_REQUIRED TRUE)

find_package(ECM 0.0.11 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${ECM_MODULE_PATH}" "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
set(CMAKE_AUTOMOC_RELAXED_MODE TRUE)

set_property(GLOBAL PROPERTY "__FCITX_INTERNAL_BUILD" On)

option(ENABLE_X11 "Enable X11 as dependency" ON)
option(ENABLE_GLIB2 "Enable GLib2 as depenedency" ON)
option(ENABLE_CAIRO "Enable Cairo" ON)
option(ENABLE_DBUS "Enable DBus Support" ON)
option(ENABLE_PANGO "Enable Pango Support" ON)
option(ENABLE_LIBXML2 "Enable libxml2" ON)
option(ENABLE_DEBUG "Enable Debug" OFF)
option(ENABLE_PINYIN "Enable Pinyin" ON)
option(ENABLE_TABLE "Enable Table IM" ON)
option(ENABLE_GTK2_IM_MODULE "Enable GTK2 IM Module" ON)
option(ENABLE_GTK3_IM_MODULE "Enable GTK3 IM Module" OFF)
option(ENABLE_QT "Enable Qt-based lib" On)
option(ENABLE_QT_IM_MODULE "Enable Qt IM Module" ON)
option(ENABLE_QT_GUI "Enable Qt-based configuration GUI" On)
option(ENABLE_OPENCC "Enable OpenCC for Chinese Transform" ON)
option(FORCE_OPENCC
  "Enable opencc even if the library is not found at compile time" Off)
option(ENABLE_LUA "Enable Lua support" OFF)
option(ENABLE_STATIC "Build Static Library" OFF)
option(ENABLE_TEST "Test build" OFF)
option(ENABLE_SNOOPER "Enable Key Snooper for gtk app" On)
option(ENABLE_GIR "Enable GObject Introspection" On)
option(ENABLE_ENCHANT "Enable enchant for word predication" On)
option(ENABLE_PRESAGE "Enable presage for word predication" On)
option(FORCE_ENCHANT
  "Enable enchant even if the library is not found at compile time" Off)
option(FORCE_PRESAGE
  "Enable presage even if the library is not found at compile time" Off)
option(ENABLE_BACKTRACE "Enable backtrace support" On)
option(ENABLE_XDGAUTOSTART "Enable xdg autostart desktop file installation" On)
option(ENABLE_GETTEXT "Enable gettext support." On)
option(ENABLE_SPELL "Enable Spell Addon" On)

if(NOT NO_SNOOPER_APPS)
  set(NO_SNOOPER_APPS ".*chrome.*,.*chromium.*,firefox.*,Do.*"
    CACHE STRING "Disable Key Snooper for following app")
endif()

if(NOT NO_PREEDIT_APPS)
  set(NO_PREEDIT_APPS "gvim"
    CACHE STRING "Disable Preedit for the following apps")
endif()

include(CheckIncludeFiles)
include(CheckFunctionExists)
include(FindPkgConfig)
include(UseDoxygen OPTIONAL)
include(FcitxMacro)

_fcitx_add_uninstall_target()
check_include_files(unistd.h HAVE_UNISTD_H)
check_include_files(malloc.h HAVE_MALLOC_H)
check_include_files(stdbool.h HAVE_STDBOOL_H)
check_function_exists(asprintf HAVE_ASPRINTF)

find_package(Libintl REQUIRED)
find_package(Libiconv REQUIRED)
find_package(Pthread REQUIRED)
find_package(Libexecinfo)
find_package(GettextPo)
find_package(XKBCommon 0.5.0 REQUIRED COMPONENTS XKBCommon)

if(NOT ENABLE_GETTEXT OR NOT GETTEXTPO_FOUND)
  fcitx_disable_gettext()
endif()

if(LIBEXECINFO_LIB_FOUND)
  set(ENABLE_BACKTRACE 1)
else()
  set(ENABLE_BACKTRACE 0)
endif()

if(${CMAKE_SYSTEM_NAME} MATCHES "BSD")
  find_package(Libkvm REQUIRED)
endif(${CMAKE_SYSTEM_NAME} MATCHES "BSD")
find_package(DL REQUIRED)
if(ENABLE_ENCHANT)
  find_package(Enchant)
  if(NOT (ENCHANT_FOUND OR FORCE_ENCHANT))
    set(ENABLE_ENCHANT Off)
  endif()
endif()
if (ENABLE_LIBXML2)
    find_package(LibXml2 REQUIRED)
    find_package(IsoCodes REQUIRED)
    find_package(XkbFile REQUIRED)
endif (ENABLE_LIBXML2)
if(ENABLE_PRESAGE)
  find_package(Presage)
  if(NOT (PRESAGE_FOUND OR FORCE_PRESAGE))
    set(ENABLE_PRESAGE Off)
  endif()
endif()

if(ENABLE_QT)
  find_package(Qt4 4.8 COMPONENTS QtCore QtGui QtDBus REQUIRED)
endif()

if(ENABLE_X11)
find_package(X11 REQUIRED)

if (NOT X11_Xkb_FOUND)
    message(FATAL_ERROR "Xkb is needed")
endif (NOT X11_Xkb_FOUND)

find_package(XKeyboardConfig REQUIRED)

endif()

if (ENABLE_TEST)
    enable_testing()
endif ()

set(_ENABLE_CAIRO 0)
set(_ENABLE_PANGO 0)
if (ENABLE_X11 AND ENABLE_CAIRO)
    PKG_CHECK_MODULES(CAIRO_XLIB REQUIRED "cairo-xlib>=1.0" )
    if (CAIRO_XLIB_FOUND)
        set(_ENABLE_CAIRO 1)
    endif (CAIRO_XLIB_FOUND)
endif (ENABLE_X11 AND ENABLE_CAIRO)

set(_ENABLE_PANGO 0)
if (_ENABLE_CAIRO AND ENABLE_GLIB2)
    if (ENABLE_PANGO)
        PKG_CHECK_MODULES(PANGOCAIRO "pangocairo>=1.0" )
        if (PANGOCAIRO_FOUND)
            set(_ENABLE_PANGO 1)
        endif (PANGOCAIRO_FOUND)
    endif (ENABLE_PANGO)
    if (NOT _ENABLE_PANGO)
        PKG_CHECK_MODULES(FONTCONFIG REQUIRED "fontconfig")
    endif (NOT _ENABLE_PANGO)
endif(_ENABLE_CAIRO AND ENABLE_GLIB2)

set(_ENABLE_DBUS 0)
if (ENABLE_DBUS)
    PKG_CHECK_MODULES(DBUS "dbus-1>=1.1.0" )
    if (DBUS_FOUND)
        set(_ENABLE_DBUS 1)
    endif (DBUS_FOUND)
endif (ENABLE_DBUS)

if(ENABLE_OPENCC)
    find_package(OpenCC)
    if(NOT (OPENCC_FOUND OR FORCE_OPENCC))
        set(ENABLE_OPENCC Off)
    endif()
endif()

set(HAVE_XINERAMA 0)
if (X11_Xinerama_FOUND)
    set(HAVE_XINERAMA 1)
endif (X11_Xinerama_FOUND)

if (X11_Xfixes_FOUND)
    set(HAVE_XFIXES 1)
endif (X11_Xfixes_FOUND)

if(ENABLE_DEBUG)
    set(_DEBUG ON)
endif(ENABLE_DEBUG)

set(package     fcitx)
set(prefix      ${CMAKE_INSTALL_PREFIX})
set(exec_prefix ${CMAKE_INSTALL_PREFIX})
set(bindir ${exec_prefix}/bin)

if(NOT DEFINED LIB_INSTALL_DIR)
    set(LIB_INSTALL_DIR "${exec_prefix}/lib" CACHE PATH "Library install directory [default=PREFIX/lib/]")
endif()
if(NOT DEFINED LIBDATA_INSTALL_DIR)
    set(LIBDATA_INSTALL_DIR "${LIB_INSTALL_DIR}"  CACHE PATH "Lib data install directory [default=LIB_INSTALL_DIR]")
endif()
if(NOT DEFINED MAN_INSTALL_DIR)
    set(MAN_INSTALL_DIR "${prefix}/share/man"  CACHE PATH "man install directory [default=PREFIX/share/man]")
endif()
if (NOT DEFINED DBUS_SERVICE_DIR)
    set(DBUS_SERVICE_DIR "${CMAKE_INSTALL_PREFIX}/share/dbus-1/services" CACHE PATH "dbus session service directory [default=PREFIX/share/dbus-1/services]")
endif()
if (NOT DEFINED SYSCONFDIR)
    set(SYSCONFDIR "${CMAKE_INSTALL_PREFIX}/etc" CACHE PATH "sys config directory [default=PREFIX/etc/]")
endif()

set(includedir "${CMAKE_INSTALL_PREFIX}/include")
set(libdir ${LIB_INSTALL_DIR})
set(pkgconfdir ${LIBDATA_INSTALL_DIR}/pkgconfig)
set(mandir ${MAN_INSTALL_DIR})
set(addondir ${libdir}/${package} )
set(pkgdatadir ${prefix}/share/${package})
set(configdescdir ${pkgdatadir}/configdesc)
set(addonconfigdir ${pkgdatadir}/addon)
set(imconfigdir ${pkgdatadir}/inputmethod)
set(localedir ${CMAKE_INSTALL_PREFIX}/share/locale)

list(FIND CMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES "${LIB_INSTALL_DIR}" _isSystemPlatformLibDir)
list(FIND CMAKE_CXX_IMPLICIT_LINK_DIRECTORIES "${LIB_INSTALL_DIR}" _isSystemCxxLibDir)
if("${_isSystemPlatformLibDir}" STREQUAL "-1" AND "${_isSystemCxxLibDir}" STREQUAL "-1")
    set(CMAKE_SKIP_BUILD_RPATH  FALSE)
    set(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
    set(CMAKE_INSTALL_RPATH "${LIB_INSTALL_DIR}")
    set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
endif("${_isSystemPlatformLibDir}" STREQUAL "-1" AND "${_isSystemCxxLibDir}" STREQUAL "-1")

# For FcitxMacro
set(FCITX4_ADDON_INSTALL_DIR ${addondir})
set(FCITX4_CONFIGDESC_INSTALL_DIR ${configdescdir})
set(FCITX4_ADDON_CONFIG_INSTALL_DIR ${addonconfigdir})
set(FCITX4_INPUTMETHOD_CONFIG_INSTALL_DIR ${imconfigdir})
set(FCITX4_PACKAGE_NAME ${package})

function(_RESOLVE_LIBRARY_PATH _FILE_NAME _LIBRARY_PATH)
    if (CMAKE_OBJDUMP)
        execute_process (
            COMMAND ${CMAKE_OBJDUMP} -p "${_LIBRARY_PATH}"
            RESULT_VARIABLE STATUS
            OUTPUT_VARIABLE OBJDUMP_RESULT
            ERROR_QUIET
        )
        string(REGEX REPLACE ".*SONAME +([^ ]+)\n.*$" "\\1" SONAME_OUT "${OBJDUMP_RESULT}")
        if (SONAME_OUT)
            set(_FILE_NAME_OUT "${SONAME_OUT}")
        endif ()
    endif()
    if (NOT _FILE_NAME_OUT)
        get_filename_component(_FILE_NAME_OUT "${_LIBRARY_PATH}" NAME)
    endif()
    set(${_FILE_NAME} ${_FILE_NAME_OUT} PARENT_SCOPE)
endfunction()


if (NOT DEFINED OPENCC_LIBRARY_FILENAME)
    if (OPENCC_LIBRARIES)
        _RESOLVE_LIBRARY_PATH(OPENCC_LIBRARY_FILENAME "${OPENCC_LIBRARIES}")
    else ()
        set(OPENCC_LIBRARY_FILENAME
            "${CMAKE_SHARED_LIBRARY_PREFIX}opencc${CMAKE_SHARED_LIBRARY_SUFFIX}")
    endif ()
endif()

if(NOT DEFINED ENCHANT_LIBRARY_FILENAME)
    if (ENCHANT_LIBRARIES)
        _RESOLVE_LIBRARY_PATH(ENCHANT_LIBRARY_FILENAME "${ENCHANT_LIBRARIES}")
    else ()
        set(ENCHANT_LIBRARY_FILENAME
            "${CMAKE_SHARED_LIBRARY_PREFIX}enchant${CMAKE_SHARED_LIBRARY_SUFFIX}")
    endif ()
endif()
if(NOT DEFINED PRESAGE_LIBRARY_FILENAME)
    if (PRESAGE_LIBRARIES)
        _RESOLVE_LIBRARY_PATH(PRESAGE_LIBRARY_FILENAME "${PRESAGE_LIBRARIES}")
    else ()
        set(PRESAGE_LIBRARY_FILENAME
            "${CMAKE_SHARED_LIBRARY_PREFIX}presage${CMAKE_SHARED_LIBRARY_SUFFIX}")
    endif ()
endif()

set(CMAKE_C_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_C_FLAGS}")
set(CMAKE_CXX_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_CXX_FLAGS}")
set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_SHARED_LINKER_FLAGS}")
set(CMAKE_MODULE_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_MODULE_LINKER_FLAGS}")
add_definitions("-D_GNU_SOURCE -DFCITX_HAVE_CONFIG_H")

configure_file(${PROJECT_SOURCE_DIR}/config.h.in ${PROJECT_BINARY_DIR}/config.h)
configure_file("${PROJECT_SOURCE_DIR}/cmake/FcitxConfigVersion.cmake.in"
               "${PROJECT_BINARY_DIR}/cmake/FcitxConfigVersion.cmake"
                IMMEDIATE @ONLY
)

include_directories(${PROJECT_BINARY_DIR})
include_directories(${PROJECT_BINARY_DIR}/src/)
include_directories(${PROJECT_SOURCE_DIR}/src/)
include_directories(${PROJECT_SOURCE_DIR}/src/lib/)

# must be the first
add_subdirectory(po)
add_subdirectory(src)
add_subdirectory(doc)
add_subdirectory(skin)
add_subdirectory(tools)
add_subdirectory(data)
add_subdirectory(cmake)

if(ENABLE_TEST)
  add_subdirectory(test)
endif()

=== src/frontend/qt/CMakeLists.txt ===
set(qtim_fcitx_SRCS
  qfcitxinputcontextplugin.cpp
  qfcitxinputcontext.cpp
  qtkey.cpp
  fcitxwatcher.cpp
  fcitxinputcontextproxy.cpp
  fcitxqtdbustypes.cpp
  )

fcitx_translate_add_sources(${qtim_fcitx_SRCS}
  qfcitxinputcontext.h
  )

if(NOT (ENABLE_QT_IM_MODULE AND ENABLE_QT))
  return()
endif()

set_source_files_properties(org.fcitx.Fcitx.InputContext.xml PROPERTIES
INCLUDE fcitxqtdbustypes.h)
set_source_files_properties(org.fcitx.Fcitx.InputContext1.xml PROPERTIES
INCLUDE fcitxqtdbustypes.h)
set_source_files_properties(org.fcitx.Fcitx.InputMethod.xml PROPERTIES
INCLUDE fcitxqtdbustypes.h)
set_source_files_properties(org.fcitx.Fcitx.InputMethod1.xml PROPERTIES
INCLUDE fcitxqtdbustypes.h)

qt4_add_dbus_interface(qtim_fcitx_SRCS org.fcitx.Fcitx.InputContext.xml inputcontextproxy)
qt4_add_dbus_interface(qtim_fcitx_SRCS org.fcitx.Fcitx.InputContext1.xml inputcontext1proxy)
qt4_add_dbus_interface(qtim_fcitx_SRCS org.fcitx.Fcitx.InputMethod.xml inputmethodproxy)
qt4_add_dbus_interface(qtim_fcitx_SRCS org.fcitx.Fcitx.InputMethod1.xml inputmethod1proxy)

include_directories(
  ${QT_INCLUDE_DIR}
  ${QT_QTCORE_INCLUDE_DIR}
  ${QT_QTGUI_INCLUDE_DIR}
  ${QT_QTDBUS_INCLUDE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  )

if(ENABLE_X11)
  include_directories(${X11_INCLUDE_DIRS})
  link_directories(${X11_LIBRARY_DIRS})
endif()

add_library(
  qtim-fcitx MODULE
  ${qtim_fcitx_SRCS}
  )

set_target_properties(qtim-fcitx PROPERTIES
  PREFIX ""
  COMPILE_FLAGS "-fvisibility=hidden"
  LINK_FLAGS "-Wl,--no-undefined"
  CXX_STANDARD 11
  AUTOMOC TRUE)

target_link_libraries(
  qtim-fcitx
  debug ${QT_QTCORE_LIBRARY_DEBUG}
  debug ${QT_QTDBUS_LIBRARY_DEBUG}
  debug ${QT_QTGUI_LIBRARY_DEBUG}
  optimized ${QT_QTCORE_LIBRARY_RELEASE}
  optimized ${QT_QTDBUS_LIBRARY_RELEASE}
  optimized ${QT_QTGUI_LIBRARY_RELEASE}
  fcitx-config
  XKBCommon::XKBCommon
  )

if(ENABLE_X11)
  target_link_libraries(qtim-fcitx ${X11_LIBRARIES})
endif()

install(
  TARGETS qtim-fcitx
  LIBRARY DESTINATION
  "${QT_PLUGINS_DIR}/inputmethods")

=== src/lib/fcitx-config/CMakeLists.txt ===
set(FCITX_CONFIG_SOURCES
  fcitx-config.c
  hotkey.c
  xdg.c
  )

if(NOT HAVE_ASPRINTF)
  set(FCITX_CONFIG_SOURCES ${FCITX_CONFIG_SOURCES} sprintf.c)
endif()

set(FCITX_CONFIG_HEADERS
  fcitx-config.h
  hotkey.h
  xdg.h
  )

fcitx_translate_add_sources(${FCITX_CONFIG_SOURCES} ${FCITX_CONFIG_HEADERS})

add_library(fcitx-config SHARED ${FCITX_CONFIG_SOURCES})
target_link_libraries(fcitx-config fcitx-utils)
set_target_properties(fcitx-config
  PROPERTIES VERSION 4.1
  SOVERSION 4
  COMPILE_FLAGS "-fvisibility=hidden"
  LINK_FLAGS "-Wl,--no-undefined"
  )

configure_file(fcitx-config.pc.in ${CMAKE_CURRENT_BINARY_DIR}/fcitx-config.pc)

install(TARGETS fcitx-config DESTINATION ${libdir})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/fcitx-config.pc
  DESTINATION "${pkgconfdir}")
install(FILES ${FCITX_CONFIG_HEADERS} DESTINATION "${includedir}/fcitx-config")

if(ENABLE_STATIC)
  add_library(fcitx-config-static STATIC ${FCITX_CONFIG_SOURCES})
  set_target_properties(fcitx-config-static PROPERTIES
    OUTPUT_NAME "fcitx-config"
    PREFIX "lib")
  install(TARGETS fcitx-config-static
    LIBRARY DESTINATION "${libdir}"
    ARCHIVE DESTINATION "${libdir}")
endif()

=== src/module/xkbdbus/CMakeLists.txt ===
set(FCITX_XKBDBUS_LINK_LIBS)
if(_ENABLE_XKBDBUS)
  include_directories(
    ${DBUS_INCLUDE_DIRS}
    ${LIBXML2_INCLUDE_DIR})
  set(FCITX_XKBDBUS_LINK_LIBS ${FCITX_XKBDBUS_LINK_LIBS}
    ${DBUS_LIBRARIES} ${LIBXML2_LIBRARIES})
  link_directories(${DBUS_LIBRARY_DIRS})
  set(xkbdbus_noinstall)
else()
  set(xkbdbus_noinstall NO_INSTALL)
endif()

set(FCITX_XKBDBUS_SOURCES
  xkbdbus.c
  ../../im/keyboard/isocodes.c)
fcitx_add_addon_full(xkbdbus SCAN SCAN_PRIV ${xkbdbus_noinstall}
  SOURCES ${FCITX_XKBDBUS_SOURCES}
  LINK_LIBS ${FCITX_XKBDBUS_LINK_LIBS})

=== src/ui/kimpanel/CMakeLists.txt ===
set(FCITX_KIMPANEL_LINK_LIBS)
if(_ENABLE_DBUS)
  include_directories(${DBUS_INCLUDE_DIRS})
  link_directories(${DBUS_LIBRARY_DIRS})
  set(FCITX_KIMPANEL_LINK_LIBS ${FCITX_KIMPANEL_LINK_LIBS} ${DBUS_LIBRARIES})
  set(kimpanel_noinstall)
else()
  set(kimpanel_noinstall NO_INSTALL)
endif()

set(FCITX_KIMPANEL_UI_SOURCES
  kimpanel.c
  )

fcitx_add_addon_full(kimpanel-ui ${kimpanel_noinstall}
  SOURCES ${FCITX_KIMPANEL_UI_SOURCES}
  LINK_LIBS ${FCITX_KIMPANEL_LINK_LIBS})

=== debian/changelog ===
fcitx (1:4.2.9.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * d/patches: Refresh patches; drop patch 0003-0006, applied upstream.
  * d/control: Use kdialog instead of kdebase-bin as dependency.
    Closes: #885836, Closes: #885850
  * d/control: Add X-Ubuntu-Use-Langpack: yes to strip translation
    for Ubuntu.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 24 Feb 2018 10:07:17 +0800

fcitx (1:4.2.9.5-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Add patch to fix spelling errors. Closes: #826696.
  * d/control: Use debian-input-method maillist in maintainer field.

 -- Boyuan Yang <073plan@gmail.com>  Mon, 05 Feb 2018 09:13:53 +0800

fcitx (1:4.2.9.5-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop binary package fcitx-module-quickphrase-editor, fcitx-qt5
    will provide it instead.
  * Bump Standards-Version to 4.1.3. (no changes needed)
  * Make libfcitx-qt0 provides fcitx-libs-qt to make older software
    that depend on fcitx-libs-qt happy.
  * Update d/copyright file.
  * Drop unnecessary patch 0003 in d/patches, applied upstream.
  * Add new build dependency uuid-dev.
  * Install new module fcitx-ipcportal into fcitx-modules.
  * Use secure uri in d/watch file.
  * Initiate SONAME Bump for libfcitx-gclient.
  * d/patches: Backport several upstream patches from trunk.

 -- Boyuan Yang <073plan@gmail.com>  Sun, 31 Dec 2017 22:41:01 +0800

fcitx (1:4.2.9.4-3) unstable; urgency=medium

  * Restore fcitx-libs for compatibility

 -- Aron Xu <aron@debian.org>  Tue, 24 Oct 2017 23:36:22 +0800

fcitx (1:4.2.9.4-2) unstable; urgency=medium

  [ Aron Xu ]
  * Revert "debian: update control file"
  * Update std-ver to 4.1.1

 -- Aron Xu <aron@debian.org>  Mon, 23 Oct 2017 19:06:33 +0800

fcitx (1:4.2.9.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop cherry-picked patches 0003-0011.
  * Drop transitional package fcitx-libs.
  * Drop transitional package fcitx-libs-gclient.
  * Drop transitional package fcitx-libs-qt.
  * Refresh library symbols.
  * Refresh d/copyright information.
  * Refresh packaging instructions.
    + Bump Standards-Version to 4.1.0.
    + Bump debhelper compat to v10.
    + Use canonical Vcs URL.
    + Fix various typos.
  * Put gir XML file into fcitx-libs-dev package to fix lintian warning.
  * Migrate to -dbgsym packages.

 -- Boyuan Yang <073plan@gmail.com>  Tue, 03 Oct 2017 23:11:03 +0800

fcitx (1:4.2.9.1-5) unstable; urgency=medium

  * Cherry-pick from upstream:
    - Fix xshape version check in classic ui
      completes the fix for LP: #1634004

 -- Aron Xu <happyaron.xu@gmail.com>  Wed, 19 Oct 2016 06:55:03 +0800

fcitx (1:4.2.9.1-4) unstable; urgency=medium

  * Cherry-pick from upstream:
    - Check XShape version before using it (LP: #1634004)

 -- Aron Xu <aron@debian.org>  Mon, 17 Oct 2016 09:55:44 +0800

fcitx (1:4.2.9.1-3) unstable; urgency=medium

  * Cherry-pick from upstream commits:
    - Do not show autostart desktop file
    - Handle XmbResetIC() (LP: #1608469)
    - Better notificationitem handling for unity

 -- Aron Xu <aron@debian.org>  Tue, 20 Sep 2016 04:07:02 +0800

fcitx (1:4.2.9.1-2) unstable; urgency=medium

  * Enable opencc support

 -- Aron Xu <aron@debian.org>  Mon, 08 Aug 2016 18:51:42 +0800

=== debian/control ===
# debian/control is generated automatically from control.in by running the clean target
Source: fcitx
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
Build-Depends: cmake,
               debhelper (>= 10),
               extra-cmake-modules,
               gobject-introspection,
               iso-codes,
               qtbase5-dev,
               libcairo2-dev (>= 1.0),
               libenchant-dev,
               libgettextpo-dev,
               libgirepository1.0-dev,
               libgtk-3-dev,
               libgtk2.0-dev,
               libicu-dev,
               libkvm-dev [kfreebsd-any],
               liblua5.2-dev | liblua5.1-0-dev,
               libopencc-dev (>= 1.0.1),
               libpango1.0-dev (>= 1.0),
               libpresage-dev (>= 0.9.1-1.1~),
               libqt4-dev,
               libxkbfile-dev,
               libxkbcommon-dev (>= 0.5.0~),
               libxml2-dev,
               uuid-dev,
               x11proto-xinerama-dev
Standards-Version: 4.1.3
Homepage: https://github.com/fcitx/fcitx
Vcs-Git: https://anonscm.debian.org/git/pkg-ime/fcitx.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-ime/fcitx.git
X-Ubuntu-Use-Langpack: yes

Package: fcitx
Architecture: all
Depends: fcitx-bin, fcitx-data, fcitx-modules, ${misc:Depends}
Recommends: fcitx-config-gtk | kde-config-fcitx,
            fcitx-frontend-all | fcitx-frontend-fbterm,
            fcitx-ui-classic | fcitx-ui-light,
            im-config (>= 0.5) | im-switch
Suggests: fcitx-m17n, fcitx-tools
Description: Flexible Input Method Framework
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This metapackage pulls in a set of components recommended for most desktop
 users.

Package: fcitx-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: fcitx-data, fcitx-modules
Suggests: fcitx (>= ${source:Upstream-Version})
Replaces: fcitx (<< ${source:Upstream-Version})
Breaks: fcitx (<< ${source:Upstream-Version})
Description: Flexible Input Method Framework - essential binaries
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides the essential executable binaries. If you are
 looking for a working input experience, please install the package
 "fcitx" instead.

Package: fcitx-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: fcitx-bin
Suggests: fcitx (>= ${source:Upstream-Version})
Replaces: fcitx (<< ${source:Upstream-Version})
Breaks: fcitx (<< ${source:Upstream-Version})
Description: Flexible Input Method Framework - essential data files
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides the essential data files. If you are looking for a
 working input experience, please install the package "fcitx" instead.

Package: fcitx-libs
Architecture: all
Section: oldlibs
Depends: libfcitx-config4 (>= ${source:Version}),
         libfcitx-core0 (>= ${source:Version}),
         libfcitx-utils0 (>= ${source:Version}),
         libfcitx-gclient1 (>= ${source:Version}),
         libfcitx-qt0 (>= ${source:Version}),
         ${misc:Depends}
Suggests: fcitx (>= ${source:Upstream-Version})
Replaces: fcitx (<< ${source:Upstream-Version})
Breaks: fcitx (<< ${source:Upstream-Version})
Description: Flexible Input Method Framework - metapackage for libraries
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package depends on all public libraries of fcitx.

Package: libfcitx-config4
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: fcitx (>= ${source:Upstream-Version})
Replaces: fcitx (<< ${source:Upstream-Version}), fcitx-libs (<< 1:4.2.8.5-3)
Breaks: fcitx (<< ${source:Upstream-Version}), fcitx-libs (<< 1:4.2.8.5-3)
Description: Flexible Input Method Framework - configuration support library
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package contains the library file:
  * libfcitx-config - support library for Fcitx configurations

Package: libfcitx-core0
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: fcitx (>= ${source:Upstream-Version})
Replaces: fcitx (<< ${source:Upstream-Version}), fcitx-libs (<< 1:4.2.8.5-3)
Breaks: fcitx (<< ${source:Upstream-Version}), fcitx-libs (<< 1:4.2.8.5-3)
Description: Flexible Input Method Framework - library of core functions
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package contains the library file:
  * libfcitx-core - core functions of Fcitx

Package: libfcitx-utils0
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: fcitx (>= ${source:Upstream-Version})
Replaces: fcitx (<< ${source:Upstream-Version}), fcitx-libs (<< 1:4.2.8.5-3)
Breaks: fcitx (<< ${source:Upstream-Version}), fcitx-libs (<< 1:4.2.8.5-3)
Description: Flexible Input Method Framework - utility support library
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package contains the library file:
  * libfcitx-utils - utility support library for Fcitx

Package: libfcitx-gclient1
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: fcitx (>= ${source:Upstream-Version})
Replaces: fcitx (<< ${source:Upstream-Version}),
          fcitx-libs-gclient (<< 1:4.2.8.5-3)
Breaks: fcitx (<< ${source:Upstream-Version}),
        fcitx-libs-gclient (<< 1:4.2.8.5-3)
Description: Flexible Input Method Framework - D-Bus client library for Glib
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package contains the following library:
  * libfcitx-gclient - D-Bus client library for Glib

Package: libfcitx-qt0
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: fcitx (>= ${source:Upstream-Version})
Replaces: fcitx (<< ${source:Upstream-Version}), fcitx-libs-qt (<< 1:4.2.8.5-3)
Breaks: fcitx (<< ${source:Upstream-Version}), fcitx-libs-qt (<< 1:4.2.8.5-3)
Provides: fcitx-libs-qt
Description: Flexible Input Method Framework - Meta package for Qt library
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package contains the following library:
  * libfcitx-qt - D-Bus client library for Qt

Package: fcitx-libs-dev
Architecture: any
Section: libdevel
Depends: fcitx-bin (>= ${source:Version}),
         gir1.2-fcitx-1.0 (= ${binary:Version}),
         libfcitx-config4 (= ${binary:Version}),
         libfcitx-core0 (= ${binary:Version}),
         libfcitx-gclient1 (= ${binary:Version}),
         libfcitx-qt0 (= ${binary:Version}),
         libfcitx-utils0 (= ${binary:Version}),
         ${misc:Depends}
Replaces: fcitx (<< ${source:Upstream-Version})
Breaks: fcitx (<< ${source:Upstream-Version})
Description: Flexible Input Method Framework - library development files
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides the library development files.

Package: gir1.2-fcitx-1.0
Architecture: any
Section: introspection
Depends: ${gir:Depends}, ${misc:Depends}
Suggests: fcitx (>= ${source:Upstream-Version})
Replaces: fcitx (<< ${source:Upstream-Version})
Breaks: fcitx (<< ${source:Upstream-Version})
Description: GObject introspection data for fcitx
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications

=== debian/rules ===
#!/usr/bin/make -f

include debian/variables.mk
include debian/gencontrol.mk

%:
	dh $@ --with gir

override_dh_auto_clean: gen_control
	dh_auto_clean

override_dh_auto_configure: gen_control
	dh_auto_configure -- \
	    -DCMAKE_BUILD_TYPE=Release \
	    -DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
	    -DSYSCONFDIR=/etc \
	    -DENABLE_X11=ON \
	    -DENABLE_GLIB2=ON \
	    -DENABLE_CAIRO=ON \
	    -DENABLE_DBUS=ON \
	    -DENABLE_PANGO=ON \
	    -DENABLE_LIBXML2=ON \
	    -DENABLE_DEBUG=OFF \
	    -DENABLE_PINYIN=ON \
	    -DENABLE_TABLE=ON \
	    -DENABLE_GTK2_IM_MODULE=ON \
	    -DENABLE_GTK3_IM_MODULE=ON \
	    -DENABLE_QT=ON \
	    -DENABLE_QT_IM_MODULE=ON \
	    -DENABLE_QT_GUI=ON \
	    -DENABLE_LUA=ON \
	    -DENABLE_STATIC=OFF \
	    -DENABLE_TEST=ON \
	    -DENABLE_SNOOPER=ON \
	    -DENABLE_GIR=ON \
	    -DENABLE_ENCHANT=ON \
	    -DENABLE_PRESAGE=ON \
	    -DENABLE_ICU=ON \
	    -DENABLE_BACKTRACE=ON \
	    -DENABLE_XDGAUTOSTART=ON \
	    -DENABLE_GETTEXT=ON

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -plibfcitx-core0
	dh_makeshlibs -plibfcitx-config4
	dh_makeshlibs -plibfcitx-utils0
	dh_makeshlibs -plibfcitx-qt0
	dh_makeshlibs -plibfcitx-gclient1

override_dh_strip:
	dh_strip --dbgsym-migration='fcitx-dbg (<< 4.2.9.4-1~)'

=== debian/watch ===
version=3
https://download.fcitx-im.org/fcitx/ fcitx-([0-9]\.*.*)_dict\.tar\.xz

## fcitx 4.2.9.7

=== src/module/CMakeLists.txt ===
add_subdirectory(x11)

if(ENABLE_X11 AND ENABLE_XKB)
  set(_ENABLE_XKB On)
else()
  set(_ENABLE_XKB Off)
endif()
add_subdirectory(xkb)

if(_ENABLE_DBUS AND _ENABLE_XKB)
  set(_ENABLE_XKBDBUS On)
else()
  set(_ENABLE_XKBDBUS Off)
endif()
add_subdirectory(xkbdbus)

add_subdirectory(chttrans)
add_subdirectory(punc)
add_subdirectory(spell)
add_subdirectory(pinyin-enhance)
add_subdirectory(quickphrase)
add_subdirectory(autoeng)
add_subdirectory(fullwidthchar)
add_subdirectory(remote)
add_subdirectory(imselector)
add_subdirectory(clipboard)
add_subdirectory(vk)
add_subdirectory(dbus)
add_subdirectory(lua)
add_subdirectory(unicode)
add_subdirectory(freedesktop-notify)
add_subdirectory(notificationitem)

=== tools/gui/CMakeLists.txt ===
include_directories(
  ${QT_INCLUDE_DIR}
  ${QT_QTCORE_INCLUDE_DIR}
  ${QT_QTGUI_INCLUDE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  )

add_subdirectory(wrapper)

=== debian/changelog ===
fcitx (1:4.2.9.7-3) unstable; urgency=medium

  * Team upload.
  * debian/patches: Add patch to gain enchant-2 compatibility for
    cmake files.

 -- Boyuan Yang <byang@debian.org>  Wed, 08 Jan 2020 16:18:53 -0500

fcitx (1:4.2.9.7-2) unstable; urgency=high

  * Team upload.
  * debian/control: Build-depend on enchant-2 instead of enchant
    1.x.
  * debian/rules: Explicitly specify the path to the enchant-2
    libraries.

 -- Boyuan Yang <byang@debian.org>  Wed, 08 Jan 2020 15:38:51 -0500

fcitx (1:4.2.9.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 4.2.9.7.
  * debian/control:
    + Bump Standards-Version to 4.4.1.
    + Use "Rules-Requires-Root: no".
    + Switch homepage to GitHub project.
  * debian/rules: Drop cruft around Qt4.
  * debian/upstream/signing-key.asc: Added.
  * debian/watch: Rewrite in v4 format with automatic gpg detection.
  * debian/patches: Drop backported patches and refresh.

 -- Boyuan Yang <byang@debian.org>  Fri, 15 Nov 2019 11:07:44 -0500

fcitx (1:4.2.9.6-6) unstable; urgency=medium

  * Team upload.
  * debian/control:
    + Bump Standards-Version to 4.4.0.
    + Bump debhelper compat to v12.
    - Drop everything related to Qt4. (Closes: #874868)
    + Unconditionally break package fcitx-module-quickphrase-editor
      since it should not appear in newer Debian system.
  * debian/compat: Dropped, not needed.

 -- Boyuan Yang <byang@debian.org>  Thu, 19 Sep 2019 16:45:44 -0400

fcitx (1:4.2.9.6-5) unstable; urgency=medium

  * Team upload.
  * debian/control:
    + Bump Standards-Version to 4.2.1.
    + Update YunQiang Su's email address and use the @debian.org one.
    + Add new build-dependency libjson-c-dev.
    - Remove reference to im-switch, long disappeared.
  * debian/patches: Backport patches to fix #907523.
    Closes: #907523.

 -- Boyuan Yang <byang@debian.org>  Thu, 30 Aug 2018 14:54:54 -0400

fcitx (1:4.2.9.6-4) unstable; urgency=medium

  * Team upload.
  * debian/control:
    + Add Breaks+Replaces against old fcitx-libs-dev for file replacement.
      Closes: #903454.
    + Update Vcs fields to indicate that the packaging repo is maintained
      under Salsa input-method-team.
    + Bump Standards-Version to 4.1.5. (no changes needed).

 -- Boyuan Yang <073plan@gmail.com>  Mon, 23 Jul 2018 10:11:14 +0800

fcitx (1:4.2.9.6-3) unstable; urgency=medium

  * Team upload.
  * Manual rebuild against opencc 1.0.5.
  * Use GitLab repository as upstream homepage to coordinate with
    upstream project migration.
  * Install fcitx4-config into fcitx-bin instead of fcitx-libs-dev.
    This partially solves #806567.
  * d/rules: Pass "--as-needed" option to the linker.

 -- Boyuan Yang <073plan@gmail.com>  Fri, 29 Jun 2018 19:40:05 +0800

fcitx (1:4.2.9.6-2) unstable; urgency=medium

  * Team upload.
  * d/control: Use Salsa repository for Vcs fields.
  * d/control: Bump Standards-Version to 4.1.4 (no changes needed).
  * d/control: Fix Break relationship with fcitx-module-quickphrase-editor,
    let fcitx-modules recommends fcitx5-module-quickphrase-editor.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 28 Apr 2018 10:46:56 +0800

=== debian/control ===
--- 
+++ 
@@ -3,35 +3,36 @@
 Section: utils
 Priority: optional
 Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
-Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
+Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <syq@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 10),
+               debhelper-compat (= 12),
                extra-cmake-modules,
                gobject-introspection,
                iso-codes,
                qtbase5-dev,
                libcairo2-dev (>= 1.0),
-               libenchant-dev,
+               libenchant-2-dev,
                libgettextpo-dev,
                libgirepository1.0-dev,
                libgtk-3-dev,
                libgtk2.0-dev,
                libicu-dev,
+               libjson-c-dev,
                libkvm-dev [kfreebsd-any],
                liblua5.2-dev | liblua5.1-0-dev,
                libopencc-dev (>= 1.0.1),
                libpango1.0-dev (>= 1.0),
                libpresage-dev (>= 0.9.1-1.1~),
-               libqt4-dev,
                libxkbfile-dev,
                libxkbcommon-dev (>= 0.5.0~),
                libxml2-dev,
                uuid-dev,
-               x11proto-xinerama-dev
-Standards-Version: 4.1.3
+               x11proto-xinerama-dev,
+Rules-Requires-Root: no
+Standards-Version: 4.4.1
 Homepage: https://github.com/fcitx/fcitx
-Vcs-Git: https://anonscm.debian.org/git/pkg-ime/fcitx.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-ime/fcitx.git
+Vcs-Git: https://salsa.debian.org/input-method-team/fcitx.git
+Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx
 X-Ubuntu-Use-Langpack: yes
 
 Package: fcitx
@@ -40,7 +41,7 @@
 Recommends: fcitx-config-gtk | kde-config-fcitx,
             fcitx-frontend-all | fcitx-frontend-fbterm,
             fcitx-ui-classic | fcitx-ui-light,
-            im-config (>= 0.5) | im-switch
+            im-config (>= 0.5)
 Suggests: fcitx-m17n, fcitx-tools
 Description: Flexible Input Method Framework
  Fcitx is a input method framework with extension support, which provides
@@ -49,7 +50,7 @@
  .
  It offers a pleasant and modern experience, with intuitive graphical
  configuration tools and customizable skins and mapping tables. It is
- highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
+ highly modularized and extensible, with GTK+ 2/3 and Qt5 IM Modules, support
  for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
  API.
  .
@@ -61,8 +62,12 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: fcitx-data, fcitx-modules
 Suggests: fcitx (>= ${source:Upstream-Version})
-Replaces: fcitx (<< ${source:Upstream-Version})
-Breaks: fcitx (<< ${source:Upstream-Version})
+Replaces:
+ fcitx (<< ${source:Upstream-Version}),
+ fcitx-libs-dev (<< ${source:Version}),
+Breaks:
+ fcitx (<< ${source:Upstream-Version}),
+ fcitx-libs-dev (<< ${source:Version}),
 Description: Flexible Input Method Framework - essential binaries
  Fcitx is a input method framework with extension support, which provides
  an interface for entering characters of different scripts in applications
@@ -70,7 +75,7 @@
  .
  It offers a pleasant and modern experience, with intuitive graphical
  configuration tools and customizable skins and mapping tables. It is
- highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
+ highly modularized and extensible, with GTK+ 2/3 and Qt5 IM Modules, support
  for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
  API.
  .
@@ -93,7 +98,7 @@
  .
  It offers a pleasant and modern experience, with intuitive graphical
  configuration tools and customizable skins and mapping tables. It is
- highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
+ highly modularized and extensible, with GTK+ 2/3 and Qt5 IM Modules, support
  for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
  API.
  .
@@ -107,7 +112,6 @@
          libfcitx-core0 (>= ${source:Version}),
          libfcitx-utils0 (>= ${source:Version}),
          libfcitx-gclient1 (>= ${source:Version}),
-         libfcitx-qt0 (>= ${source:Version}),
          ${misc:Depends}
 Suggests: fcitx (>= ${source:Upstream-Version})
 Replaces: fcitx (<< ${source:Upstream-Version})
@@ -119,7 +123,7 @@
  .
  It offers a pleasant and modern experience, with intuitive graphical
  configuration tools and customizable skins and mapping tables. It is
- highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
+ highly modularized and extensible, with GTK+ 2/3 and Qt5 IM Modules, support
  for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
  API.
  .
@@ -141,7 +145,7 @@
  .
  It offers a pleasant and modern experience, with intuitive graphical
  configuration tools and customizable skins and mapping tables. It is
- highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
+ highly modularized and extensible, with GTK+ 2/3 and Qt5 IM Modules, support
  for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
  API.
  .
@@ -164,7 +168,7 @@
  .
  It offers a pleasant and modern experience, with intuitive graphical
  configuration tools and customizable skins and mapping tables. It is
- highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
+ highly modularized and extensible, with GTK+ 2/3 and Qt5 IM Modules, support
  for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
  API.
  .
@@ -187,7 +191,7 @@
  .
  It offers a pleasant and modern experience, with intuitive graphical
  configuration tools and customizable skins and mapping tables. It is
- highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
+ highly modularized and extensible, with GTK+ 2/3 and Qt5 IM Modules, support
  for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
  API.
  .
@@ -212,36 +216,12 @@
  .
  It offers a pleasant and modern experience, with intuitive graphical
  configuration tools and customizable skins and mapping tables. It is
- highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
+ highly modularized and extensible, with GTK+ 2/3 and Qt5 IM Modules, support
  for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
  API.
  .
  This package contains the following library:
   * libfcitx-gclient - D-Bus client library for Glib
-
-Package: libfcitx-qt0
-Architecture: any
-Section: libs
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Suggests: fcitx (>= ${source:Upstream-Version})
-Replaces: fcitx (<< ${source:Upstream-Version}), fcitx-libs-qt (<< 1:4.2.8.5-3)
-Breaks: fcitx (<< ${source:Upstream-Version}), fcitx-libs-qt (<< 1:4.2.8.5-3)
-Provides: fcitx-libs-qt
-Description: Flexible Input Method Framework - Meta package for Qt library
- Fcitx is a input method framework with extension support, which provides
- an interface for entering characters of different scripts in applications
- using a variety of mapping systems.
- .
- It offers a pleasant and modern experience, with intuitive graphical
- configuration tools and customizable skins and mapping tables. It is
- highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
- for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
- API.
- .
- This package contains the following library:
-  * libfcitx-qt - D-Bus client library for Qt
 
 Package: fcitx-libs-dev
 Architecture: any
@@ -251,7 +231,6 @@
          libfcitx-config4 (= ${binary:Version}),
          libfcitx-core0 (= ${binary:Version}),
          libfcitx-gclient1 (= ${binary:Version}),
-         libfcitx-qt0 (= ${binary:Version}),
          libfcitx-utils0 (= ${binary:Version}),
          ${misc:Depends}
 Replaces: fcitx (<< ${source:Upstream-Version})
@@ -263,7 +242,7 @@
  .
  It offers a pleasant and modern experience, with intuitive graphical
  configuration tools and customizable skins and mapping tables. It is
- highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
+ highly modularized and extensible, with GTK+ 2/3 and Qt5 IM Modules, support
  for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
  API.
  .
@@ -279,3 +258,26 @@
 Description: GObject introspection data for fcitx
  Fcitx is a input method framework with extension support, which provides
  an interface for entering characters of different scripts in applications
+ using a variety of mapping systems.
+ .
+ It offers a pleasant and modern experience, with intuitive graphical
+ configuration tools and customizable skins and mapping tables. It is
+ highly modularized and extensible, with GTK+ 2/3 and Qt5 IM Modules, support
+ for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
+ API.
+ .
+ This package can be used by other packages using the GIRepository format to
+ generate dynamic bindings.
+
+Package: fcitx-ui-classic
+Architecture: any
+Depends: fcitx-module-x11, ${misc:Depends}, ${shlibs:Depends}
+Recommends: fcitx (>= ${source:Upstream-Version}), zenity | kdialog
+Replaces: fcitx (<< ${source:Upstream-Version}),
+          fcitx-hangul (<< 0.3.0),
+          fcitx-unikey (<< 0.2.0)
+Breaks: fcitx (<< ${source:Upstream-Version}),
+        fcitx-hangul (<< 0.3.0),
+        fcitx-unikey (<< 0.2.0)
+Description: Flexible Input Method Framework - Classic user interface
+ Fcitx is a input method framework with extension support, which provides
